=== debian/changelog ===
bcmatroska2 (5.1.20-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:29:19 +0100

bcmatroska2 (5.1.20-1) experimental; urgency=medium

  * New upstream release 5.1.20
  * Add new build dependency on bctoolbox

 -- Dennis Filder <d.filder@web.de>  Fri, 07 Oct 2022 18:22:01 +0200

bcmatroska2 (5.0.37-2) unstable; urgency=medium

  * Upload to unstable
  * Add d/gbp.conf for DEP-14 branch name

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 09:11:05 +0200

bcmatroska2 (5.0.37-1) experimental; urgency=medium

  * Team upload
  * Initial packaging
  * Changes since last FTP master review:
    - Update debian/copyright
    - README.source: Document that embedded copies are not used

 -- Dennis Filder <d.filder@web.de>  Sun, 19 Jun 2022 17:12:27 +0000
