=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bcmatroska2
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.1.64~),
-Standards-Version: 4.6.1
+               libbctoolbox-dev (>= 5.2.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://gitlab.linphone.org/BC/public/bcmatroska2
