=== corec/tools/branch/Makefile ===
all: branch
# make has all the default built-ins to build this for the current system
