=== corec/tools/coremake/Makefile ===
all: coremake corerc
# make has all the default built-ins to build this for the current system

install: coremake corerc
	install -c coremake /usr/local/bin/coremake
	install -c corerc /usr/local/bin/corerc
	install -c -m 644 -D android_armv5.build /usr/local/share/coremake/android_armv5.build
	install -c -m 644 -D android_armv6.build /usr/local/share/coremake/android_armv6.build
	install -c -m 644 -D android_armv7.build /usr/local/share/coremake/android_armv7.build
	install -c -m 644 -D automake.build /usr/local/share/coremake/automake.build
	install -c -m 644 -D clean.build /usr/local/share/coremake/clean.build
	install -c -m 644 -D distclean.build /usr/local/share/coremake/distclean.build
	install -c -m 644 -D evc_arm.build /usr/local/share/coremake/evc_arm.build
	install -c -m 644 -D evc_arm_pocketpc.build /usr/local/share/coremake/evc_arm_pocketpc.build
	install -c -m 644 -D evc_arm_smartphone.build /usr/local/share/coremake/evc_arm_smartphone.build
	install -c -m 644 -D evc_armv4.build /usr/local/share/coremake/evc_armv4.build
	install -c -m 644 -D evc_armv4i.build /usr/local/share/coremake/evc_armv4i.build
	install -c -m 644 -D evc_armv4_pocketpc.build /usr/local/share/coremake/evc_armv4_pocketpc.build
	install -c -m 644 -D evc_armv4_smartphone.build /usr/local/share/coremake/evc_armv4_smartphone.build
	install -c -m 644 -D evc_emulator.build /usr/local/share/coremake/evc_emulator.build
	install -c -m 644 -D evc_mips.build /usr/local/share/coremake/evc_mips.build
	install -c -m 644 -D evc_mipsii.build /usr/local/share/coremake/evc_mipsii.build
	install -c -m 644 -D evc_sh3.build /usr/local/share/coremake/evc_sh3.build
	install -c -m 644 -D evc_sh4.build /usr/local/share/coremake/evc_sh4.build
	install -c -m 644 -D evc_x86.build /usr/local/share/coremake/evc_x86.build
	install -c -m 644 -D gcc_linux_arm.build /usr/local/share/coremake/gcc_linux_arm.build
	install -c -m 644 -D gcc_linux.build /usr/local/share/coremake/gcc_linux.build
	install -c -m 644 -D gcc_linux_debug.build /usr/local/share/coremake/gcc_linux_debug.build
	install -c -m 644 -D gcc_linux_mips.build /usr/local/share/coremake/gcc_linux_mips.build
	install -c -m 644 -D gcc_linux_ppc.build /usr/local/share/coremake/gcc_linux_ppc.build
	install -c -m 644 -D gcc_linux_qt_x86.build /usr/local/share/coremake/gcc_linux_qt_x86.build
	install -c -m 644 -D gcc_linux_qt_x86_debug.build /usr/local/share/coremake/gcc_linux_qt_x86_debug.build
	install -c -m 644 -D gcc_linux_x64.build /usr/local/share/coremake/gcc_linux_x64.build
	install -c -m 644 -D gcc_linux_x64_debug.build /usr/local/share/coremake/gcc_linux_x64_debug.build
	install -c -m 644 -D gcc_osx.build /usr/local/share/coremake/gcc_osx.build
	install -c -m 644 -D gcc_osx_iphone_dev.build /usr/local/share/coremake/gcc_osx_iphone_dev.build
	install -c -m 644 -D gcc_osx_ppc.build /usr/local/share/coremake/gcc_osx_ppc.build
	install -c -m 644 -D gcc_osx_x64.build /usr/local/share/coremake/gcc_osx_x64.build
	install -c -m 644 -D gcc_osx_x86.build /usr/local/share/coremake/gcc_osx_x86.build
	install -c -m 644 -D gcc_osx_x86_pic.build /usr/local/share/coremake/gcc_osx_x86_pic.build
	install -c -m 644 -D gcc_palmos.build /usr/local/share/coremake/gcc_palmos.build
	install -c -m 644 -D gcc_ps2sdk.build /usr/local/share/coremake/gcc_ps2sdk.build
	install -c -m 644 -D gcc_qtcore_arm.build /usr/local/share/coremake/gcc_qtcore_arm.build
	install -c -m 644 -D gcc_qtcore_mips.build /usr/local/share/coremake/gcc_qtcore_mips.build
	install -c -m 644 -D gcc_qtcore_x86.build /usr/local/share/coremake/gcc_qtcore_x86.build
	install -c -m 644 -D gcc_qtphone_arm.build /usr/local/share/coremake/gcc_qtphone_arm.build
	install -c -m 644 -D gcc_qtphone_x86.build /usr/local/share/coremake/gcc_qtphone_x86.build
	install -c -m 644 -D gcc_sparc32.build /usr/local/share/coremake/gcc_sparc32.build
	install -c -m 644 -D gcc_sparc64.build /usr/local/share/coremake/gcc_sparc64.build
	install -c -m 644 -D gcc_win32.build /usr/local/share/coremake/gcc_win32.build
	install -c -m 644 -D gcc_wince_arm.build /usr/local/share/coremake/gcc_wince_arm.build
	install -c -m 644 -D gcc_x_win32.build /usr/local/share/coremake/gcc_x_win32.build
	install -c -m 644 -D icl_2005.build /usr/local/share/coremake/icl_2005.build
	install -c -m 644 -D kdevelop.build /usr/local/share/coremake/kdevelop.build
	install -c -m 644 -D kdevelop_qtcore_arm_debug.build /usr/local/share/coremake/kdevelop_qtcore_arm_debug.build
	install -c -m 644 -D kdevelop_qtphone_arm.build /usr/local/share/coremake/kdevelop_qtphone_arm.build
	install -c -m 644 -D kdevelop_qtphone_arm_debug.build /usr/local/share/coremake/kdevelop_qtphone_arm_debug.build
	install -c -m 644 -D kdevelop_qtphone_x86.build /usr/local/share/coremake/kdevelop_qtphone_x86.build
	install -c -m 644 -D kdevelop_qtphone_x86_debug.build /usr/local/share/coremake/kdevelop_qtphone_x86_debug.build
	install -c -m 644 -D s60_1st.build /usr/local/share/coremake/s60_1st.build
	install -c -m 644 -D s60_1st_wins.build /usr/local/share/coremake/s60_1st_wins.build
	install -c -m 644 -D s60_2nd_fp3.build /usr/local/share/coremake/s60_2nd_fp3.build
	install -c -m 644 -D s60_2nd_fp3_debug.build /usr/local/share/coremake/s60_2nd_fp3_debug.build
	install -c -m 644 -D s60_2nd_fp3_winscw.build /usr/local/share/coremake/s60_2nd_fp3_winscw.build
	install -c -m 644 -D s60_3rd_fp1.build /usr/local/share/coremake/s60_3rd_fp1.build
	install -c -m 644 -D s60_3rd_fp1_debug.build /usr/local/share/coremake/s60_3rd_fp1_debug.build
	install -c -m 644 -D s60_3rd_fp1_winscw.build /usr/local/share/coremake/s60_3rd_fp1_winscw.build
	install -c -m 644 -D s60_3rd_mr.build /usr/local/share/coremake/s60_3rd_mr.build
	install -c -m 644 -D s60_3rd_mr_debug.build /usr/local/share/coremake/s60_3rd_mr_debug.build
	install -c -m 644 -D s60_3rd_mr_winscw.build /usr/local/share/coremake/s60_3rd_mr_winscw.build
	install -c -m 644 -D s60_5th.build /usr/local/share/coremake/s60_5th.build
	install -c -m 644 -D s60_5th_winscw.build /usr/local/share/coremake/s60_5th_winscw.build
	install -c -m 644 -D s80_dp2.build /usr/local/share/coremake/s80_dp2.build
	install -c -m 644 -D s80_dp2_wins.build /usr/local/share/coremake/s80_dp2_wins.build
	install -c -m 644 -D s90_7710.build /usr/local/share/coremake/s90_7710.build
	install -c -m 644 -D s90_7710_wins.build /usr/local/share/coremake/s90_7710_wins.build
	install -c -m 644 -D script.build /usr/local/share/coremake/script.build
	install -c -m 644 -D uiq_21.build /usr/local/share/coremake/uiq_21.build
	install -c -m 644 -D uiq_21_wins.build /usr/local/share/coremake/uiq_21_wins.build
	install -c -m 644 -D uiq_30.build /usr/local/share/coremake/uiq_30.build
	install -c -m 644 -D uiq_30_debug.build /usr/local/share/coremake/uiq_30_debug.build
	install -c -m 644 -D uiq_30_winscw.build /usr/local/share/coremake/uiq_30_winscw.build
	install -c -m 644 -D uiq_31.build /usr/local/share/coremake/uiq_31.build
	install -c -m 644 -D uiq_31_winscw.build /usr/local/share/coremake/uiq_31_winscw.build
	install -c -m 644 -D vc6.build /usr/local/share/coremake/vc6.build
	install -c -m 644 -D vc6_palmos.build /usr/local/share/coremake/vc6_palmos.build
	install -c -m 644 -D vs_2003.build /usr/local/share/coremake/vs_2003.build
	install -c -m 644 -D vs_2005.build /usr/local/share/coremake/vs_2005.build
	install -c -m 644 -D vs9_ce5_armv4i.build /usr/local/share/coremake/vs9_ce5_armv4i.build
	install -c -m 644 -D vs9_ce5_mips32_gcc.build /usr/local/share/coremake/vs9_ce5_mips32_gcc.build
	install -c -m 644 -D vs9_ce5_mipsii.build /usr/local/share/coremake/vs9_ce5_mipsii.build
	install -c -m 644 -D vs9_ce5_x86.build /usr/local/share/coremake/vs9_ce5_x86.build
	install -c -m 644 -D vs9_express.build /usr/local/share/coremake/vs9_express.build
	install -c -m 644 -D vs9_ic_x64.build /usr/local/share/coremake/vs9_ic_x64.build
	install -c -m 644 -D vs9_ic_x86.build /usr/local/share/coremake/vs9_ic_x86.build
	install -c -m 644 -D vs9_ppc2003_armv4.build /usr/local/share/coremake/vs9_ppc2003_armv4.build
	install -c -m 644 -D vs9_smart2003_armv4.build /usr/local/share/coremake/vs9_smart2003_armv4.build
	install -c -m 644 -D vs9_win32.build /usr/local/share/coremake/vs9_win32.build
	install -c -m 644 -D vs9_wm5_armv4i.build /usr/local/share/coremake/vs9_wm5_armv4i.build
	install -c -m 644 -D vs9_wm5s_armv4i.build /usr/local/share/coremake/vs9_wm5s_armv4i.build
	install -c -m 644 -D vs9_wm6p_armv4i.build /usr/local/share/coremake/vs9_wm6p_armv4i.build
	install -c -m 644 -D vs9_x64.build /usr/local/share/coremake/vs9_x64.build
	install -c -m 644 -D vs_ce5_armv4i.build /usr/local/share/coremake/vs_ce5_armv4i.build
	install -c -m 644 -D vs_ce5_mips32.build /usr/local/share/coremake/vs_ce5_mips32.build
	install -c -m 644 -D vs_ce5_mips32_gcc.build /usr/local/share/coremake/vs_ce5_mips32_gcc.build
	install -c -m 644 -D vs_ce5_mipsii.build /usr/local/share/coremake/vs_ce5_mipsii.build
	install -c -m 644 -D vs_ce5_x86.build /usr/local/share/coremake/vs_ce5_x86.build
	install -c -m 644 -D vs_ce6_krs_armv4i.build /usr/local/share/coremake/vs_ce6_krs_armv4i.build
	install -c -m 644 -D vs_express.build /usr/local/share/coremake/vs_express.build
	install -c -m 644 -D vs_palmos.build /usr/local/share/coremake/vs_palmos.build
	install -c -m 644 -D vs_ppc2003_armv4.build /usr/local/share/coremake/vs_ppc2003_armv4.build
	install -c -m 644 -D vs_s60_3rd_mr.build /usr/local/share/coremake/vs_s60_3rd_mr.build
	install -c -m 644 -D vs_smart2003_armv4.build /usr/local/share/coremake/vs_smart2003_armv4.build
	install -c -m 644 -D vs_wm5_armv4i.build /usr/local/share/coremake/vs_wm5_armv4i.build
	install -c -m 644 -D vs_wm5s_armv4i.build /usr/local/share/coremake/vs_wm5s_armv4i.build
	install -c -m 644 -D vs_wm6p_armv4i.build /usr/local/share/coremake/vs_wm6p_armv4i.build
	install -c -m 644 -D vs_wm6s_armv4i.build /usr/local/share/coremake/vs_wm6s_armv4i.build
	install -c -m 644 -D vs_x64.build /usr/local/share/coremake/vs_x64.build
	install -c -m 644 -D xcode24_universal.build /usr/local/share/coremake/xcode24_universal.build
	install -c -m 644 -D xcode.build /usr/local/share/coremake/xcode.build
	install -c -m 644 -D xcode_ios4.build /usr/local/share/coremake/xcode_ios4.build
	install -c -m 644 -D xcode_ios4_simu.build /usr/local/share/coremake/xcode_ios4_simu.build
	install -c -m 644 -D xcode_iphone.build /usr/local/share/coremake/xcode_iphone.build
	install -c -m 644 -D xcode_iphone_dev.build /usr/local/share/coremake/xcode_iphone_dev.build
	install -c -m 644 -D xcode_iphone_ipad.build /usr/local/share/coremake/xcode_iphone_ipad.build
	install -c -m 644 -D xcode_iphone_ipad_simu.build /usr/local/share/coremake/xcode_iphone_ipad_simu.build
	install -c -m 644 -D xcode_iphone_simulator.build /usr/local/share/coremake/xcode_iphone_simulator.build
	install -c -m 644 -D xcode_iphone_uni.build /usr/local/share/coremake/xcode_iphone_uni.build
	install -c -m 644 -D xcode_uni64.build /usr/local/share/coremake/xcode_uni64.build
	install -c -m 644 -D xcode_uni.build /usr/local/share/coremake/xcode_uni.build
	install -c -m 644 -D xcode_x86.build /usr/local/share/coremake/xcode_x86.build
	install -c -m 644 -D android_arm.inc /usr/local/share/coremake/android_arm.inc
	install -c -m 644 -D android.inc /usr/local/share/coremake/android.inc
	install -c -m 644 -D android_mk.inc /usr/local/share/coremake/android_mk.inc
	install -c -m 644 -D automake.inc /usr/local/share/coremake/automake.inc
	install -c -m 644 -D carbide.inc /usr/local/share/coremake/carbide.inc
	install -c -m 644 -D carbide_vs.inc /usr/local/share/coremake/carbide_vs.inc
	install -c -m 644 -D evc.inc /usr/local/share/coremake/evc.inc
	install -c -m 644 -D gcc_conf.inc /usr/local/share/coremake/gcc_conf.inc
	install -c -m 644 -D gcc.inc /usr/local/share/coremake/gcc.inc
	install -c -m 644 -D gcc_mak.inc /usr/local/share/coremake/gcc_mak.inc
	install -c -m 644 -D gcc_osx.inc /usr/local/share/coremake/gcc_osx.inc
