=== debian/changelog ===
bcmatroska2 (5.3.101-2) unstable; urgency=medium

  * provide pkgconf files
  * debian/gbp.conf: switch to DEP-14
  * fix INSTALL_INTERFACE (Closes: #1098510)

 -- Victor Seva <vseva@debian.org>  Sat, 22 Feb 2025 20:58:21 +0100

bcmatroska2 (5.3.101-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbcmatroska2-dev: Add Multi-Arch: same.

  [ Victor Seva ]
  * add myself to Uploaders. wrap-and-sort -sat
  * debian/gbp.conf: pristine-tar
  * New upstream version 5.3.101
  * refresh patches
  * update linphone-stack dependencies
  * Set upstream metadata fields: Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: BUILD_SHARED_LIBS
  * debian/copyright: refresh

 -- Victor Seva <vseva@debian.org>  Mon, 10 Feb 2025 09:30:52 +0100

bcmatroska2 (5.2.0-5) unstable; urgency=medium

  * Fix compilation warning treated as error. (Closes: #1074838)
  * Skip experimental Debian revisions.

 -- Bastian Germann <bage@debian.org>  Sat, 21 Dec 2024 15:59:15 +0000
