=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: bcmatroska2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Bernhard Schmidt <berni@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.2.0~),
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Bernhard Schmidt <berni@debian.org>,
+ Victor Seva <vseva@debian.org>,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libbctoolbox-dev (>= 5.3.104~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
@@ -17,9 +19,11 @@
 Package: libbcmatroska2-5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Matroska library for mediastreamer2 (base)
  Bcmatroska2 is an implementation of the Matroska container format
  specifically tailored for use with mediastreamer2.  It was forked
@@ -31,8 +35,10 @@
 Package: libbcmatroska2-dev
 Section: libdevel
 Architecture: any
-Depends: libbcmatroska2-5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends:
+ libbcmatroska2-5 (= ${binary:Version}),
+ ${misc:Depends},
+Multi-Arch: same
 Description: Development files for the bcmatroska2 library
  Bcmatroska2 is an implementation of the Matroska container format
  specifically tailored for use with mediastreamer2.  It was forked
