=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-features += -DENABLE_STATIC=NO
+features += -DBUILD_SHARED_LIBS=ON
 
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
